Subject: Re: [PATCH v2 7/9] connect: tell server that the client understands v1

From: Brandon Williams <[email-masked]>
Date: Fri, 29 Sep 2017 14:32:38 -0700

On 09/27, Junio C Hamano wrote:
> Junio C Hamano <[email-masked]> writes:
> 
> >> +	# Client requested to use protocol v1
> >> +	grep "version=1" log &&
> >> +	# Server responded using protocol v1
> >> +	grep "clone< version 1" log
> >
> > This looked a bit strange to check "clone< version 1" for one
> > direction, but did not check "$something> version 1" for the other
> > direction.  Doesn't "version=1" end up producing 2 hits?
> >
> > Not a complaint, but wondering if we can write it in such a way that
> > does not have to make readers wonder.
> 
> Ah, the check for "version=1" is a short-hand for
> 
> 	grep "clone> git-upload-pack ...\\0\\0version=1\\0$" log
> 
> and the symmetry I sought is already there.  So ignore the above; if
> we wanted to make the symmetry more explicit, it would not hurt to
> spell the first one as
> 
> 	grep "clone> .*\\0\\0version=1\\0$" log

I think you need three '\' to get an escaped backslash, but I agree,
I'll spell this out more explicitly in the tests.

> though.

-- 
Brandon Williams